%define upstream_name    Math-Random-Secure
%define upstream_version 0.080001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    The underlying PRNG, as an object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(Crypt::Random::Source)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Math::Random::ISAAC)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Test::SharedFork)
BuildArch: noarch

%{?perl_default_filter}

%description
This module is intended to provide a cryptographically-secure replacement
for Perl's built-in 'rand' function. "Cryptographically secure", in this
case, means:

  No matter how many numbers you see generated by the random number
  generator, you cannot guess the future numbers, and you cannot guess the
  seed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.80.1-5.mga10
+ Revision: 2204025
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.80.1-4.mga9
+ Revision: 1809617
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.1-3.mga8
+ Revision: 1505100
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.80.1-2.mga7
+ Revision: 1284761
- Mageia 7 Mass Rebuild

* Mon Jul 31 2017 guillomovitch <guillomovitch> 0.80.1-1.mga7
+ Revision: 1133165
- new version 0.080001

* Thu Jan 05 2017 guillomovitch <guillomovitch> 0.80.0-1.mga6
+ Revision: 1080290
- new version 0.08

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-6.mga6
+ Revision: 1029778
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.60.0-5.mga6
+ Revision: 944784
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 745643
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.60.0-3.mga5
+ Revision: 735693
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-2.mga5
+ Revision: 685378
- Mageia 5 Mass Rebuild

* Tue Jul 29 2014 guillomovitch <guillomovitch> 0.60.0-1.mga5
+ Revision: 658025
- imported package perl-Math-Random-Secure


* Tue Jul 29 2014 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
